<?php


function houdabusiness_header_settings( $wp_customize ) {

$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';

	/*=========================================
	Header Settings Panel
	=========================================*/
	$wp_customize->add_panel( 
		'header_section', 
		array(
			'priority'      => 2,
			'capability'    => 'edit_theme_options',
			'title'			=> __('Header', 'houdabusiness'),
		) 
	);

	
	/*=========================================
	Houdabusiness Site Identity
	=========================================*/
	$wp_customize->add_section(
        'title_tagline',
        array(
        	'priority'      => 1,
            'title' 		=> __('Site Identity','houdabusiness'),
			'panel'  		=> 'header_section',
		)
    );



	
	// /*=========================================
	// Header Navigation
	// =========================================*/	
	// $wp_customize->add_section(
 //        'hdr_navigation',
 //        array(
 //        	'priority'      => 3,
 //            'title' 		=> __('Header Navigation','houdabusiness'),
	// 		'panel'  		=> 'header_section',
	// 	)
 //    );
 
 //    // Cart
	// $wp_customize->add_setting(
	// 	'hdr_nav_cart'
	// 		,array(
	// 		'capability'     	=> 'edit_theme_options',
	// 		'sanitize_callback' => 'houdabusiness_sanitize_text',
	// 	)
	// );

	// $wp_customize->add_control(
	// 'hdr_nav_cart',
	// 	array(
	// 		'type' => 'hidden',
	// 		'label' => __('Cart','houdabusiness'),
	// 		'section' => 'hdr_navigation',
	// 		'priority' => 2,
	// 	)
	// );

	// // hide/show
	// $wp_customize->add_setting( 
	// 	'hide_show_cart' , 
	// 		array(
	// 		'default' => '1',
	// 		'capability'     => 'edit_theme_options',
	// 		'sanitize_callback' => 'houdabusiness_sanitize_checkbox',
	// 	) 
	// );
	
	// $wp_customize->add_control(
	// 'hide_show_cart', 
	// 	array(
	// 		'label'	      => esc_html__( 'Hide/Show', 'houdabusiness' ),
	// 		'section'     => 'hdr_navigation',
	// 		'type'        => 'checkbox',
	// 		'priority' => 2,
	// 	) 
	// );
	
	// // Header Search
	// $wp_customize->add_setting(
	// 	'hdr_nav_search_head'
	// 		,array(
	// 		'capability'     	=> 'edit_theme_options',
	// 		'sanitize_callback' => 'houdabusiness_sanitize_text',
	// 	)
	// );

	// $wp_customize->add_control(
	// 'hdr_nav_search_head',
	// 	array(
	// 		'type' => 'hidden',
	// 		'label' => __('Search','houdabusiness'),
	// 		'section' => 'hdr_navigation',
	// 		'priority'  => 3,
	// 	)
	// );	
	
	// // hide/show
	// $wp_customize->add_setting( 
	// 	'hs_nav_search' , 
	// 		array(
	// 		'default' => '1',
	// 		'capability'     => 'edit_theme_options',
	// 		'sanitize_callback' => 'houdabusiness_sanitize_checkbox',
	// 	) 
	// );
	
	// $wp_customize->add_control(
	// 'hs_nav_search', 
	// 	array(
	// 		'label'	      => esc_html__( 'Hide/Show', 'houdabusiness' ),
	// 		'section'     => 'hdr_navigation',
	// 		'type'        => 'checkbox',
	// 		'priority' => 3,
	// 	) 
	// );
	
	
	// // Header Toggle
	// $wp_customize->add_setting(
	// 	'hdr_nav_toggle_head'
	// 		,array(
	// 		'capability'     	=> 'edit_theme_options',
	// 		'sanitize_callback' => 'houdabusiness_sanitize_text',
	// 	)
	// );

	// $wp_customize->add_control(
	// 'hdr_nav_toggle_head',
	// 	array(
	// 		'type' => 'hidden',
	// 		'label' => __('Toggle','houdabusiness'),
	// 		'section' => 'hdr_navigation',
	// 		'priority'  => 6,
	// 	)
	// );	
	
	// // hide/show
	// $wp_customize->add_setting( 
	// 	'hs_nav_toggle' , 
	// 		array(
	// 		'default' => '1',
	// 		'capability'     => 'edit_theme_options',
	// 		'sanitize_callback' => 'houdabusiness_sanitize_checkbox',
	// 	) 
	// );
	
	// $wp_customize->add_control(
	// 'hs_nav_toggle', 
	// 	array(
	// 		'label'	      => esc_html__( 'Hide/Show', 'houdabusiness' ),
	// 		'section'     => 'hdr_navigation',
	// 		'type'        => 'checkbox',
	// 		'priority' => 7,
	// 	) 
	// );
	
	// // Title // 
	// $wp_customize->add_setting(
 //    	'houdabusiness_hdr_toggle_ttl',
 //    	array(
	// 		'sanitize_callback' => 'houdabusiness_sanitize_html',
	// 		'transport'         => $selective_refresh,
	// 		'capability' => 'edit_theme_options',
	// 	)
	// );	

	// $wp_customize->add_control( 
	// 	'houdabusiness_hdr_toggle_ttl',
	// 	array(
	// 	    'label'   		=> __('Title','houdabusiness'),
	// 	    'section' 		=> 'hdr_navigation',
	// 		'type'		 =>	'text',
	// 		'priority' => 8,
	// 	)  
	// );	
	
	
	// // content // 
	// $wp_customize->add_setting(
 //    	'houdabusiness_hdr_toggle_content',
 //    	array(
	// 		'sanitize_callback' => 'houdabusiness_sanitize_html',
	// 		'transport'         => $selective_refresh,
	// 		'capability' => 'edit_theme_options',
	// 	)
	// );	

	// $wp_customize->add_control( 
	// 	'houdabusiness_hdr_toggle_content',
	// 	array(
	// 	    'label'   		=> __('Title','houdabusiness'),
	// 	    'section' 		=> 'hdr_navigation',
	// 		'type'		 =>	'textarea',
	// 		'priority' => 8,
	// 	)  
	// );	
	
	
	/*=========================================
	Sticky Header
	=========================================*/	
	$wp_customize->add_section(
        'sticky_header_set',
        array(
        	'priority'      => 4,
            'title' 		=> __('Sticky Header','houdabusiness'),
			'panel'  		=> 'header_section',
		)
    );
	
	// Heading
	$wp_customize->add_setting(
		'sticky_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'houdabusiness_sanitize_text',
			'priority' => 1,
		)
	);

	$wp_customize->add_control(
	'sticky_head',
		array(
			'type' => 'hidden',
			'label' => __('Sticky Header','houdabusiness'),
			'section' => 'sticky_header_set',
		)
	);
	$wp_customize->add_setting( 
		'hide_show_sticky' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'houdabusiness_sanitize_checkbox',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'hide_show_sticky', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'houdabusiness' ),
			'section'     => 'sticky_header_set',
			'type'        => 'checkbox'
		) 
	);		


	// topheader sticky bg color
	$topheaderstickybgcolor = esc_html__('#000', 'houdabusiness' );
	$wp_customize->add_setting(
    	'topheader_stickybgcolor',
    	array(
			'default' => $topheaderstickybgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'sanitize_hex_color',
			'priority'      => 9,
		)
	);	

	$wp_customize->add_control( 
		'topheader_stickybgcolor',
		array(
		    'label'   		=> __('Sticky Header Background Color','houdabusiness'),
		    'section'		=> 'sticky_header_set',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);	


	/*=========================================
	Houdabusiness Top header
	=========================================*/
	$wp_customize->add_section(
        'houdabusiness_topheader',
        array(
        	'priority'      => 5,
            'title' 		=> __('Top Header','houdabusiness'),
			'panel'  		=> 'header_section',
		)
    );	

	$wp_customize->add_setting('houdabusiness_top_header_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));
	$wp_customize->add_control(new Houdabusiness_Tab_Control($wp_customize, 'houdabusiness_top_header_tabs', array(
	   'section' => 'houdabusiness_topheader',
	   'priority' => 1,
	   'buttons' => array(
	      array(
	         'name' => esc_html__('General', 'houdabusiness'),
            'fields' => array(
            	'houdabusiness_topheader_text',
            	'houdabusiness_topheader_phn',
            	'houdabusiness_topheader_phnicon',
            	'houdabusiness_topheader_phnbtmtxt',
            	'houdabusiness_topheader_email',
            	'houdabusiness_topheader_mailicon',
            	'houdabusiness_topheader_mailbtmtxt',
            	'houdabusiness_topheader_icon1',
            	'houdabusiness_topheader_icon2',
            	'houdabusiness_topheader_icon3',
            	'houdabusiness_topheader_icon4',
            	'houdabusiness_topheader_icon5'
            ),
            'active' => true,
         ),
	      array(
            'name' => esc_html__('Style', 'houdabusiness'),
            'fields' => array(
            	'houdabusiness_topheader_bgcolor',
            	'houdabusiness_topheader_phniconcolor',
            	'houdabusiness_topheader_mailiconcolor'
            ),
         )
	    
    	),
	)));

	// All General

	// topheader txt

	$wp_customize->add_setting( 'houdabusiness_topheader_text',array(
		'default' => __('You Have problems, we have the solution','houdabusiness' ),
		'sanitize_callback' => 'sanitize_text_field'
   ) );
   $wp_customize->add_control( 'houdabusiness_topheader_text',array(
		'label' => __( 'Title','houdabusiness' ),
		'type' => 'text',
		'section' => 'houdabusiness_topheader'
   ));

	// topheader Phone Number
   	$wp_customize->add_setting( 'houdabusiness_topheader_phn',array(
		'default' => __('264 654 9465','houdabusiness' ),
		'sanitize_callback' => 'houdabusiness_sanitize_phone_number'
   ) );
   $wp_customize->add_control( 'houdabusiness_topheader_phn',array(
		'label' => __( 'Phone Number','houdabusiness' ),
		'type' => 'text',
		'section' => 'houdabusiness_topheader'
   ));	

	// topheader phone number icon
   	$wp_customize->add_setting( 'houdabusiness_topheader_phnicon',array(
		'default' => __('fa fa-volume-control-phone','houdabusiness' ),
		'sanitize_callback' => 'sanitize_text_field'
   ) );
   $wp_customize->add_control( 'houdabusiness_topheader_phnicon',array(
		'label' => __( 'Phone Number Icon','houdabusiness' ),
		'type' => 'text',
		'section' => 'houdabusiness_topheader'
   ));	

	// topheader Phone Number bottom txt
   	$wp_customize->add_setting( 'houdabusiness_topheader_phnbtmtxt',array(
		'default' => __('request on call back','houdabusiness' ),
		'sanitize_callback' => 'sanitize_text_field'
   ) );
   $wp_customize->add_control( 'houdabusiness_topheader_phnbtmtxt',array(
		'label' => __( 'Phone Number Bottom Text','houdabusiness' ),
		'type' => 'text',
		'section' => 'houdabusiness_topheader'
   ));	

  	// topheader Email
   	$wp_customize->add_setting( 'houdabusiness_topheader_email',array(
		'default' => __('Write Us','houdabusiness' ),
		'sanitize_callback' => 'sanitize_text_field'
   ) );
   $wp_customize->add_control( 'houdabusiness_topheader_email',array(
		'label' => __( 'Email','houdabusiness' ),
		'type' => 'text',
		'section' => 'houdabusiness_topheader'
   ));		


	// topheader mail icon
   	$wp_customize->add_setting( 'houdabusiness_topheader_mailicon',array(
		'default' => __('fa fa-envelope-o','houdabusiness' ),
		'sanitize_callback' => 'sanitize_text_field'
   ) );
   $wp_customize->add_control( 'houdabusiness_topheader_mailicon',array(
		'label' => __( 'Mail Icon','houdabusiness' ),
		'type' => 'text',
		'section' => 'houdabusiness_topheader'
   ));		


	// topheader Mail bottom txt
   	$wp_customize->add_setting( 'houdabusiness_topheader_mailbtmtxt',array(
		'default' => __('info@gmail.com','houdabusiness' ),
		'sanitize_callback' => 'sanitize_email'
   ) );
   $wp_customize->add_control( 'houdabusiness_topheader_mailbtmtxt',array(
		'label' => __( 'Email Id','houdabusiness' ),
		'type' => 'text',
		'section' => 'houdabusiness_topheader'
   ));		

	// topheader icon 1
   	$wp_customize->add_setting( 'houdabusiness_topheader_icon1',array(
		'default' => __('fa fa-facebook','houdabusiness' ),
		'sanitize_callback' => 'sanitize_text_field'
   ) );
   $wp_customize->add_control( 'houdabusiness_topheader_icon1',array(
		'label' => __( 'Icon 1','houdabusiness' ),
		'type' => 'text',
		'section' => 'houdabusiness_topheader'
   ));	

	// topheader icon 2
   	$wp_customize->add_setting( 'houdabusiness_topheader_icon2',array(
		'default' => __('fa fa-instagram','houdabusiness' ),
		'sanitize_callback' => 'sanitize_text_field'
   ) );
   $wp_customize->add_control( 'houdabusiness_topheader_icon2',array(
		'label' => __( 'Icon 2','houdabusiness' ),
		'type' => 'text',
		'section' => 'houdabusiness_topheader'
   ));	

	// topheader icon 3
   	$wp_customize->add_setting( 'houdabusiness_topheader_icon3',array(
		'default' => __('fa fa-twitter','houdabusiness' ),
		'sanitize_callback' => 'sanitize_text_field'
   ) );
   $wp_customize->add_control( 'houdabusiness_topheader_icon3',array(
		'label' => __( 'Icon 3','houdabusiness' ),
		'type' => 'text',
		'section' => 'houdabusiness_topheader'
   ));	


	// topheader icon 4
   	$wp_customize->add_setting( 'houdabusiness_topheader_icon4',array(
		'default' => __('fa fa-google-plus','houdabusiness' ),
		'sanitize_callback' => 'sanitize_text_field'
   ) );
   $wp_customize->add_control( 'houdabusiness_topheader_icon4',array(
		'label' => __( 'Icon 4','houdabusiness' ),
		'type' => 'text',
		'section' => 'houdabusiness_topheader'
   ));	

	// topheader icon 5
   	$wp_customize->add_setting( 'houdabusiness_topheader_icon5',array(
		'default' => __('fa fa-youtube-play','houdabusiness' ),
		'sanitize_callback' => 'sanitize_text_field'
   ) );
   $wp_customize->add_control( 'houdabusiness_topheader_icon5',array(
		'label' => __( 'Icon 5','houdabusiness' ),
		'type' => 'text',
		'section' => 'houdabusiness_topheader'
   ));	

	// All Colors

	// topheader bg color
	$wp_customize->add_setting( 'houdabusiness_topheader_bgcolor', array(
	   'default' => '#000',
	   'sanitize_callback' => 'sanitize_hex_color'
  	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'houdabusiness_topheader_bgcolor', array(
  		'label' => __('Background Color','houdabusiness'),
	   'section' => 'houdabusiness_topheader',
  	)));

	// topheader phone number icon color
	$wp_customize->add_setting( 'houdabusiness_topheader_phniconcolor', array(
	   'default' => '#3a6eff',
	   'sanitize_callback' => 'sanitize_hex_color'
  	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'houdabusiness_topheader_phniconcolor', array(
  		'label' => __('Phone Number Icon Color','houdabusiness'),
	   'section' => 'houdabusiness_topheader',
  	)));

	// topheader mail icon color
	$wp_customize->add_setting( 'houdabusiness_topheader_mailiconcolor', array(
	   'default' => '#3a6eff',
	   'sanitize_callback' => 'sanitize_hex_color'
  	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'houdabusiness_topheader_mailiconcolor', array(
  		'label' => __('Mail Icon Color','houdabusiness'),
	   'section' => 'houdabusiness_topheader',
  	)));

	$wp_customize->register_control_type('Houdabusiness_Tab_Control');
	$wp_customize->register_panel_type( 'Houdabusiness_WP_Customize_Panel' );
	$wp_customize->register_section_type( 'Houdabusiness_WP_Customize_Section' );




	// // Field 1
	// $wp_customize->add_setting(
	// 	'hdr_nav_field2'
	// 		,array(
	// 		'capability'     	=> 'edit_theme_options',
	// 		'sanitize_callback' => 'houdabusiness_sanitize_text',
	// 	)
	// );

	// $wp_customize->add_control(
	// 'hdr_nav_field2',
	// 	array(
	// 		'type' => 'hidden',
	// 		'label' => __('Field 2','houdabusiness'),
	// 		'section' => 'top_header',
	// 		'priority' => 3,
	// 	)
	// );


	
	

}
add_action( 'customize_register', 'houdabusiness_header_settings' );








if ( class_exists( 'WP_Customize_Panel' ) ) {
  	class Houdabusiness_WP_Customize_Panel extends WP_Customize_Panel {
	   public $panel;
	   public $type = 'houdabusiness_panel';
	   public function json() {

	      $array = wp_array_slice_assoc( (array) $this, array( 'id', 'description', 'priority', 'type', 'panel', ) );
	      $array['title'] = html_entity_decode( $this->title, ENT_QUOTES, get_bloginfo( 'charset' ) );
	      $array['content'] = $this->get_content();
	      $array['active'] = $this->active();
	      $array['instanceNumber'] = $this->instance_number;
	      return $array;
    	}
  	}
}

if ( class_exists( 'WP_Customize_Section' ) ) {
  	class Houdabusiness_WP_Customize_Section extends WP_Customize_Section {
	   public $section;
	   public $type = 'houdabusiness_section';
	   public function json() {

	      $array = wp_array_slice_assoc( (array) $this, array( 'id', 'description', 'priority', 'panel', 'type', 'description_hidden', 'section', ) );
	      $array['title'] = html_entity_decode( $this->title, ENT_QUOTES, get_bloginfo( 'charset' ) );
	      $array['content'] = $this->get_content();
	      $array['active'] = $this->active();
	      $array['instanceNumber'] = $this->instance_number;

	      if ( $this->panel ) {
	        $array['customizeAction'] = sprintf( 'Customizing &#9656; %s', esc_html( $this->manager->get_panel( $this->panel )->title ) );
	      } else {
	        $array['customizeAction'] = 'Customizing';
	      }
	      return $array;
    	}
  	}
}